Skip to main content
POST
/
api
/
meme
Create a meme generation
curl --request POST \
  --url https://airgraphic.io/api/meme \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sourceUrl": "https://example.com"
}
'
{
  "jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "stages": [
    "<string>"
  ],
  "falRequestId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.airgraphic.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:ag_your_api_key
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
sourceUrl
string<uri>
required
sourceText
string
Maximum string length: 8000
brandUrl
string<uri>
brandProfileId
string<uuid>
aspectRatio
enum<string>
default:1:1
Available options:
9:16,
1:1,
4:5,
16:9
outputFormat
enum<string>
default:png
Available options:
png,
jpeg,
webp
audienceNote
string
Maximum string length: 800
avoidNote
string
Maximum string length: 800
styleNotes
string
Maximum string length: 800

Response

Meme generation queued.

jobId
string<uuid>
required
status
enum<string>
required
Available options:
queued
stages
string[]
required
falRequestId
string